<cv-remote-data *cvLet="data$ | async as data" [data]="data" (cvAfterViewInitDelay)="requestLoadJobs()">
  <button cv-button label="Add Job" (buttonClick)="onAddJob()" class="cv-btn"></button>
  <dx-data-grid
    *cvIfSuccess="data; let ok"
    id="gridContainer"
    [dataSource]="ok"
    keyExpr="ID"
    [showBorders]="true"
    [showBorders]="true"
  >
    <dxo-scrolling rowRenderingMode="virtual"> </dxo-scrolling>
    <dxo-paging [pageSize]="10"> </dxo-paging>
    <dxo-pager
      [visible]="true"
      [allowedPageSizes]="allowedPageSizes"
      displayMode="full"
      [showPageSizeSelector]="true"
      [showInfo]="true"
      [showNavigationButtons]="true"
    >
    </dxo-pager>
  </dx-data-grid>
</cv-remote-data>
